Download Dataset
GET
/v1/datasets/{dataset_id}/export
const url = 'https://example.com/v1/datasets/example/export?format=csv&include_row_id=false';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/datasets/example/export?format=csv&include_row_id=false' \ --header 'Authorization: Bearer <token>'Download the dataset as a CSV, JSONL or Parquet file, named after it. Nested values are JSON text in CSV. A dataset still being made can’t be exported until its run is done.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”dataset_id
required
Dataset Id
string
Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/octet-stream
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}